Vaults - List
The List operation gets information about the vaults associated with the subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/resources?$filter=resourceType eq 'Microsoft.KeyVault/vaults'&api-version=2021-10-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resources?$filter=resourceType eq 'Microsoft.KeyVault/vaults'&$top={$top}&api-version=2021-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
|
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
$filter
|
query | True |
The filter to apply on the operation. |
|
|
api-version
|
query | True |
Azure Resource Manager Api Version. |
|
|
$top
|
query |
|
Maximum number of results to return. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Get information about all key vaults in the subscription. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
List vaults in the specified subscription
Sample Request
Sample Response
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/vaults/sample-vault",
"name": "sample-vault",
"type": "Microsoft.KeyVault/vaults",
"location": "westus",
"tags": {}
}
],
"nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resources?%24filter=resourceType+eq+%27Microsoft.KeyVault%2fvaults%27&%24top=4&api-version=2015-11-01&%24skiptoken=eyJuZXh0UGFydGl0aW9uS2V5IjoiMSE4IVEwTTJNVGMtIiwibmV4dFJvd0tleSI6IjEhMTMyIU5rUTRSVEU1UXpJelFUWXdORGd4UmpoRlFrSXhNVGhFUXpNd01EZEROVVJmVkVkT1RDMU5TVU5TVDFOUFJsUTZNa1ZMUlZsV1FWVk1WRG95UmxaQlZVeFVVeTFUVTFKSExVcEpUVG95UkZSRlUxUTZNa1JXUVZWTVZDMVhSVk5VVlZNLSJ9"
}
Definitions
|
Cloud |
An error response from Key Vault resource provider |
|
Cloud |
An error response from Key Vault resource provider |
| Resource |
Key Vault resource |
|
Resource |
List of vault resources. |
|
Resource |
Azure Resource Manager Api Version. |
|
Vault |
The filter to apply on the operation. |
CloudError
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| error |
An error response from Key Vault resource provider |
CloudErrorBody
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| code |
|
Error code. This is a mnemonic that can be consumed programmatically. |
| message |
|
User friendly error message. The message is typically localized and may vary with service version. |
Resource
Key Vault resource
| Name | Type | Description |
|---|---|---|
| id |
|
Fully qualified identifier of the key vault resource. |
| location |
|
Azure location of the key vault resource. |
| name |
|
Name of the key vault resource. |
| tags |
|
Tags assigned to the key vault resource. |
| type |
|
Resource type of the key vault resource. |
ResourceListResult
List of vault resources.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
The URL to get the next set of vault resources. |
| value |
|
The list of vault resources. |
ResourceManagerApiVersions
Azure Resource Manager Api Version.
| Name | Type | Description |
|---|---|---|
| 2015-11-01 |
|
VaultListFilterTypes
The filter to apply on the operation.
| Name | Type | Description |
|---|---|---|
| resourceType eq 'Microsoft.KeyVault/vaults' |
|